program test_spherical_polyline_area

  ! Libraries:
  use contour_531, only: polyline
  use nr_util, only: deg_to_rad
  
  use spherical_polyline_area_m, only: spherical_polyline_area

  implicit none

  real points(2, 4)

  !-------------------------------------------------------------------------

  points(:, 1) = [0., 0.]
  points(:, 2) = [30. * deg_to_rad, 0.]
  points(:, 3) = [0., 30. * deg_to_rad]
  points(:, 4) = points(:, 1)
  
  print *, "Area = ", spherical_polyline_area(polyline(n_points = 4, &
       closed = .true., points = points)) / 1e6, "km2"
  
end program test_spherical_polyline_area
